<?php

// $Platon: doc/soft-doc-sys/slides/slide.php,v 1.4 2004/03/26 23:33:04 nepto Exp $

function slide_print_list($content)
{
	echo '<ul class=slide-content>'."\n";
	for ($i = 0; $i < count($content); $i++) {
		if (is_array($content[$i])) {
			echo '<li class=slide-content>';
			for ($j = 0; $j < count($content[$i]); $j++) {
				if (is_array($content[$i][$j])) {
					slide_print_list($content[$i][$j]);
				} else {
					echo  $content[$i][$j];
				}
			}
			echo '</li>';
		} else {
			echo '<li class=slide-content>'.$content[$i].'</li>';
		}
		echo "\n";
	}
	echo '</ul>'."\n";
}

function slide_main()
{

	require_once dirname(__FILE__).'/data.php';

	$slide = intval($_GET['slide']);
	if ($slide < 0 || $slide >= count($data)) {
		$slide = 0;
	}

	$title   =& $data[$slide]['title'];
	$content =& $data[$slide]['content'];

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

<head>
<title>Software documentation systems<?php echo isset($title) ? ": $title" : ''; ?></title>
<meta http-equiv="Content-Language" content="en">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Robots" content="all,follow">
<link type="text/css" href="slide.css" rel="stylesheet">
</head>
<body>

<table class="slide-header" style="width:100%;"><tr><th class="slide-header" style="text-align:center;">
<a class="slide-header" href="http://platon.sk/projects/soft-doc-sys/">Software documentation systems</a></th></tr></table>
<p class="slide-content"></p>
<?php

	if (isset($title)) {
		echo '<h1 class="slide-content">',$title,'</h1>';
	}

	if (is_array($content)) {
		slide_print_list($content);
	} else {
		echo '<p class="slide-content">',$content,'</p>';
	}

?>
<p class="slide-content"></p>
<table class="slide-footer" style="width:100%;"><tr>
<th class="slide-footer" style="text-align:left;" nowrap="nowrap">
<a class="slide-footer" href="http://platon.sk/">Platon&nbsp;SDG,&nbsp;http://platon.sk/</a></th>
<th class="slide-footer" style="text-align:right;" nowrap="nowrap">
<?php

	if ($slide > 0) {
		printf('<a class="slide-footer" href="'.$_SERVER['PHP_SELF'].'?slide=%d">&lt;&lt;</a>&nbsp; ', $slide - 1);
	}
	if ($slide < count($data) - 1) {
		printf(' &nbsp;<a class="slide-footer" href="'.$_SERVER['PHP_SELF'].'?slide=%d">&gt;&gt;</a>', $slide + 1);
	}

?>
</th>
</tr></table>


</body>
</html>

<?php

} // slide_main()

slide_main();

?>

