<?php

// $Platon: doc/soft-doc-sys/slides/data.php,v 1.4 2004/03/27 01:05:03 nepto Exp $

$data = array();
$data[0] =	array(
		'title' => null,
		'content' => '<center>
		<h1 class=slide-content>Software documentation systems</h1><small class=slide-content>
		Presentation for Hypermedia systems<br><br><br>
		Ondrej Holotnak &lt;beast@pobox.sk&gt<br>
		Ondrej Jombik &lt;nepto@pobox.sk&gt;<br><br><br>
		19th December 2002
		</small></center>');
$data[1] = array(
		'title' => 'Introduction',
		'content' => array(
			'documentation is important',
			array('target group', array(
					'user-oriented systems',
					'developer-oriented systems',
					'other systems')),
			'different approaches'
			));
$data[2] = array(
		'title' => 'DocBook intro',
		'content' => array(
			'structured documents using SGML or XML',
			'DocBook is SGML DTD',
			'open tool',
			'standard vs. own tools'
			));
$data[3] = array(
		'title' => 'Writing in DocBook',
		'content' => array(
			'logical structure',
			'marked by meaning',
			'no design tags',
			'design controlled by DSSSL'
			));
$data[4] = array(
		'title' => 'DocBook versions',
		'content' => array(
			'SGML vs. XML',
			'minimal differences',
			'different processing'
			));
$data[5] = array(
		'title' => 'DocBook document',
		'content' => array(
			'basic document using<br>
			<tt>&lt;!DOCTYPE ...&gt;</tt>, <tt>&lt;book&gt;</tt>, <tt>&lt;bookinfo&gt;</tt> <span class=slide-example>(<a target=_blank href="http://platon.sk/projects/doc.php/soft-doc-sys/html/en/user-doc-sys.html#USER-DOC-SYS.BASIC-EXAMPLE" class=slide-example>example</a>)</span>',
			'document structure using<br>
			<tt>&lt;chapter&gt;</tt>, <tt>&lt;sect1&gt;</tt>, <tt>&lt;sect2&gt;</tt> <span class=slide-example>(<a target=_blank href="http://platon.sk/projects/doc.php/soft-doc-sys/html/en/user-doc-sys.html#USER-DOC-SYS.STRUCTURE-EXAMPLE" class=slide-example>example</a>)</span>'
			));
$data[6] = array(
		'title' => 'DocBook logical structure',
		'content' => array(
			'marked by meaning',
			'tagging filenames, variables, products using<br>
			<tt>&lt;filename&gt;</tt>, <tt>&lt;varname&gt;</tt>, <tt>&lt;productname&gt</tt> <span class=slide-example>(<a target=_blank href="http://platon.sk/projects/doc.php/soft-doc-sys/html/en/user-doc-sys.html#USER-DOC-SYS.ADVANCED-EXAMPLE" class=slide-example>example</a>)</span>',
			'special end tag <tt>&lt;/&gt;</tt>'
			));
$data[7] = array(
		'title' => 'DocBook processing',
		'content' => array(
			'lot of output formats:<br>
			HTML, RTF, PDF, PS, TeX, TXT, man',
			'prepared shell scripts:<br>
			<tt>$ db2html myfile.sgml</tt>'
			));
$data[8] = array(
		'title' => 'Developer-oriented documentation systems (DODS)',
		'content' => array(
			array('tools according to programming language', array(
					'Doxygen (C/C++)',
					'PearDoc (PHP/PEAR)',
					'JavaDoc (Java)'))
			));
$data[9] = array(
		'title' => 'Commenting sources using DODS',
		'content' => array(
			'documentation included in source codes',
			'all entities documented',
			'special marks usage'
			));
$data[10] = array(
		'title' => 'Advantages of DODS',
		'content' => array(
			'complexity',
			'all in one place',
			'automatic info extraction',
			'timesaving'
			));
$data[11] = array(
		'title' => 'Documented class using DODS',
		'content' => array(
			array('class <tt>Example</tt> documented in', array(
					'Doxygen <span class=slide-example>(<a target=_blank href="http://platon.sk/projects/doc.php/soft-doc-sys/html/en/developer-doc-sys.html#DEVELOPER-DOC-SYS.DOXYGEN-EXAMPLE" class=slide-example>example</a>)</span>',
					'PearDoc <span class=slide-example>(<a target=_blank href="http://platon.sk/projects/doc.php/soft-doc-sys/html/en/developer-doc-sys.html#DEVELOPER-DOC-SYS.PEARDOC-EXAMPLE" class=slide-example>example</a>)</span>',
					'JavaDoc <span class=slide-example>(<a target=_blank href="http://platon.sk/projects/doc.php/soft-doc-sys/html/en/developer-doc-sys.html#DEVELOPER-DOC-SYS.JAVADOC-EXAMPLE" class=slide-example>example</a>)</span>'))
			));
$data[12] = array(
		'title' => 'DODS marks',
		'content' => array(
			'comments starting <tt>/'.'**</tt>',
			'universal marks: <tt>@author</tt>, <tt>@version</tt>, <tt>@date</tt>, <tt>@since</tt>, <tt>@deprecated</tt>, <tt>@see</tt>, <tt>@todo</tt> <span class=slide-example>(<a target=_blank href="http://platon.sk/projects/doc.php/soft-doc-sys/html/en/developer-doc-sys.html#DEVELOPER-DOC-SYS.ADVANCED-EXAMPLE" class=slide-example>example</a>)</span>',
			'function marks: <tt>@param</tt>, <tt>@return</tt>, <tt>@retval</tt>, <tt>@access</tt>'
			));
$data[13] = array(
		'title' => 'DODS processing',
		'content' => array(
			'a lot of formats (depends on system)',
			'Doxygen: HTML, LaTeX, RTF, XML, man',
			'configuration in <tt>Doxyfile</tt>',
			'generation:<br><tt>$ doxygen</tt>'
			));
$data[14] = array(
		'title' => 'Other documentation systems',
		'content' => array(
			'PerlDoc',
			'man',
			'info'
			));

?>
